rpms/sbcl/FC-3 sbcl-0.9.5-make-config-fix.patch, NONE, 1.1 sbcl-0.9.5-stdlib_h.patch, NONE, 1.1 sbcl-0.9.5-verbose-build.patch, NONE, 1.1

Rex Dieter (rdieter) fedora-extras-commits at redhat.com
Thu Sep 29 18:00:00 UTC 2005


Author: rdieter

Update of /cvs/extras/rpms/sbcl/FC-3
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv17132

Added Files:
	sbcl-0.9.5-make-config-fix.patch sbcl-0.9.5-stdlib_h.patch 
	sbcl-0.9.5-verbose-build.patch 
Log Message:
import new patches


sbcl-0.9.5-make-config-fix.patch:

--- NEW FILE sbcl-0.9.5-make-config-fix.patch ---
--- sbcl-0.9.5/make-config.sh.make-config-fix	2005-09-21 10:00:33.000000000 -0500
+++ sbcl-0.9.5/make-config.sh	2005-09-28 11:42:29.135788304 -0500
@@ -208,7 +208,7 @@
     # cross-compilers!
     #
     # FIXME: integrate to grovel-features, mayhaps
-    $GNUMAKE -C tools-for-build determine-endianness -I src/runtime
+    $GNUMAKE -C tools-for-build determine-endianness -I ../src/runtime
     tools-for-build/determine-endianness >> $ltf
 elif [ "$sbcl_arch" = "ppc" -a "$sbcl_os" = "linux" ]; then
     # Use a C program to detect which kind of glibc we're building on,
@@ -217,8 +217,8 @@
     #
     # FIXME: integrate to grovel-features., maypahps
     printf ' :stack-allocatable-closures' >> $ltf
-    $GNUMAKE -C tools-for-build where-is-mcontext -I src/runtime
-    tools-for-build/where-is-mcontext > src/runtime/ppc-linux-mcontext.h
+    $GNUMAKE -C tools-for-build where-is-mcontext -I ../src/runtime
+    tools-for-build/where-is-mcontext > src/runtime/ppc-linux-mcontext.h || echo "error running where-is-mcontext"
 elif [ "$sbcl_arch" = "ppc" -a "$sbcl_os" = "darwin" ]; then
     printf ' :stack-allocatable-closures' >> $ltf
     # We provide a dlopen shim, so a little lie won't hurt

sbcl-0.9.5-stdlib_h.patch:

--- NEW FILE sbcl-0.9.5-stdlib_h.patch ---
--- sbcl-0.9.5/tools-for-build/where-is-mcontext.c.stdlib_h	2005-07-14 15:24:19.000000000 -0500
+++ sbcl-0.9.5/tools-for-build/where-is-mcontext.c	2005-09-28 10:36:32.090350648 -0500
@@ -20,6 +20,7 @@
 
 #include <stdio.h>
 #include <stddef.h>
+#include <stdlib.h>
 #include <sys/ucontext.h>
 
 int main (int argc, char *argv[]) {

sbcl-0.9.5-verbose-build.patch:

--- NEW FILE sbcl-0.9.5-verbose-build.patch ---
--- sbcl-0.9.5/make.sh.verbose-build	2005-09-21 10:00:33.000000000 -0500
+++ sbcl-0.9.5/make.sh	2005-09-28 11:42:06.353251776 -0500
@@ -70,7 +70,7 @@
 # If you're cross-compiling, you should probably just walk through the
 # make-config.sh script by hand doing the right thing on both the host
 # and target machines.
-sh make-config.sh
+sh -x make-config.sh ||:
 
 # Enforce the source policy for no bogus whitespace
 tools-for-build/canonicalize-whitespace
@@ -102,11 +102,11 @@
 # Or, if you can set up the files somewhere shared (with NFS, AFS, or
 # whatever) between the host machine and the target machine, the basic
 # procedure above should still work, but you can skip the "copy" steps.
-time sh make-host-1.sh
-time sh make-target-1.sh
-time sh make-host-2.sh
-time sh make-target-2.sh
-time sh make-target-contrib.sh
+time sh -x make-host-1.sh
+time sh -x make-target-1.sh
+time sh -x make-host-2.sh
+time sh -x make-target-2.sh
+time sh -x make-target-contrib.sh
 
 NCONTRIBS=`find contrib -name Makefile -print | wc -l`
 NPASSED=`find contrib -name test-passed -print | wc -l`




More information about the fedora-extras-commits mailing list